using System;
using System.Collections;
using Server;

namespace Server.Mobiles
{
	public class AlchemistGuildmaster : BaseGuildmaster
	{
		public override NpcGuild NpcGuild{ get{ return NpcGuild.AlchemistsGuild; } }

		[Constructable]
		public AlchemistGuildmaster() : base( "alchemist" )
		{
			SetSkill( SkillName.MagicResist, 64.0, 100.0 );
			SetSkill( SkillName.HandToHand, 60.0, 83.0 );
			SetSkill( SkillName.Meditation, 85.0, 100.0 );
			SetSkill( SkillName.Bludgeoning, 36.0, 68.0 );
		}

		public override void InitSBInfo()
		{
			SBInfos.Add( new SBAlchemist() );
			SBInfos.Add( new SBGuildAlchemist() );
			SBInfos.Add( new SBGuildMage() );
		}

		public AlchemistGuildmaster( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}